v2 Category Detail
curl --request GET \
--url https://api.globalwebindex.com/v2/categories/{category_id} \
--header 'Authorization: <api-key>'import requests
url = "https://api.globalwebindex.com/v2/categories/{category_id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.globalwebindex.com/v2/categories/{category_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"category": {
"attribute_count": 123,
"child_categories": "<array>",
"child_questions": [
{
"accessible": true,
"attribute_count": 123,
"categories": "<array>",
"code": "<string>",
"datapoints": [
{
"accessible": true,
"code": "<string>",
"midpoint": {
"value": 123
},
"name": "<string>",
"order": {
"value": 123
}
}
],
"datasets": [
{
"base_audience_label": "<string>",
"base_namespace_code": "<string>",
"child_categories": "<array>",
"code": "<string>",
"depth": 123,
"description": "<string>",
"is_syndicated": true,
"name": "<string>",
"order": 123
}
],
"description": "<string>",
"flags": [
"<string>"
],
"knowledge_base": "<string>",
"message": "<string>",
"name": "<string>",
"namespace_code": "<string>",
"notice": "<string>",
"order": 123,
"suffixes": [
{
"code": "<string>",
"midpoint": {
"value": 123
},
"name": "<string>",
"order": {
"value": 123
}
}
],
"taxonomy_paths": [
{
"categories_lineage": "<array>",
"dataset": {
"base_audience_label": "<string>",
"base_namespace_code": "<string>",
"child_categories": "<array>",
"code": "<string>",
"depth": 123,
"description": "<string>",
"is_syndicated": true,
"name": "<string>",
"order": 123
}
}
],
"unit": "<string>",
"warning": "<string>"
}
],
"datasets": [
{
"base_audience_label": "<string>",
"base_namespace_code": "<string>",
"child_categories": "<array>",
"code": "<string>",
"depth": 123,
"description": "<string>",
"is_syndicated": true,
"name": "<string>",
"order": 123
}
],
"descendant_attributes": [
{
"datapoint_code": "<string>",
"datapoint_name": "<string>",
"namespace_code": "<string>",
"question_code": "<string>",
"question_name": "<string>",
"suffix_code": "<string>",
"suffix_name": "<string>"
}
],
"description": "<string>",
"id": "<string>",
"lineage": "<array>",
"name": "<string>",
"order": 123,
"taxonomy_paths": [
{
"categories_lineage": "<array>",
"dataset": {
"base_audience_label": "<string>",
"base_namespace_code": "<string>",
"child_categories": "<array>",
"code": "<string>",
"depth": 123,
"description": "<string>",
"is_syndicated": true,
"name": "<string>",
"order": 123
}
}
]
}
}{
"code": 123,
"err": "<string>",
"type": "<string>"
}{
"code": 123,
"err": "<string>",
"type": "<string>"
}{
"code": 123,
"err": "<string>",
"type": "<string>"
}{
"code": 123,
"err": "<string>",
"type": "<string>"
}Categories
v2 Category Detail
Show detail info of given category.
GET
/
v2
/
categories
/
{category_id}
v2 Category Detail
Authorizations
Path Parameters
ID of category requested
Query Parameters
Relationships to include in response, ATM supported is: children,lineage,attribute_count,datasets,descendant_attributes
Response
details about category
Show child attributes
Show child attributes
Was this page helpful?
⌘I

